Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class ClassFormatError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--java.lang.LinkageError
                        |
                        +--java.lang.ClassFormatError

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  UnsupportedClassVersionError

public class ClassFormatError
extends LinkageError

Thrown when the Java Virtual Machine attempts to read a class file and determines that the file is malformed or otherwise cannot be interpreted as a class file.

Since:
  JDK1.0
See Also:
  Serialized Form

Constructor Summary
`ClassFormatError()` Constructs a `ClassFormatError` with no detail message.
`ClassFormatError(String s)` Constructs a `ClassFormatError` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassFormatError

    public ClassFormatError()

  Constructs a `ClassFormatError` with no detail message.

### ClassFormatError

    public ClassFormatError(String s)

  Constructs a `ClassFormatError` with the specified detail message.
  Parameters:
    `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| J2ME Foundation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Java is a trademark or registred trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,
Palo, Alto, California, 94303, U.S.A All Rights Reserved. < /font >